<!--pages/map/map.wxml-->
<view class="page-body">
  <view class="page-section page-section-gap">
    <map
      id="myMap"
      style="width: 100%; height: 500px;"
      latitude="{{self_latitude}}"
      longitude="{{self_longitude}}"
      markers="{{markers}}"
      covers="{{covers}}"
      show-location
    ></map>
  </view>
  <view class="btn-area">
    <button bindtap="moveToLocation" class="page-body-button" type="primary">地图缩放</button>
  </view>
  <text>相距：{{distance}} m</text>
</view>
